#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Desktop-independent theme switcher for GTK+
Name:		lxappearance
Version:	0.5.2
Release:	2
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	a088c6ef08fd25df7dc3be5b07168bbe
Patch0:		mate-desktop.patch
URL:		http://wiki.lxde.org/en/LXAppearance
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXAppearance is part of LXDE project. It's a desktop-independent theme
switcher for GTK+.

%package devel
Summary:	Header files for lxappearance
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for lxappearance.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/tt_RU

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxappearance
%dir %{_libdir}/lxappearance
%dir %{_libdir}/lxappearance/plugins
%{_mandir}/man1/lxappearance.1*
%{_desktopdir}/lxappearance.desktop
%{_datadir}/lxappearance

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/lxappearance
%{_includedir}/lxappearance/lxappearance.h
%{_pkgconfigdir}/lxappearance.pc
%changelog
* Thu Jul 18 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxappearance.git;a=log;h=master

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> df4f398
- disable visibility in MATE; mate has own tool for this

* Sat Jun 02 2012 witekfl <witekfl@pld-linux.org> dcee171
- 0.5.2
- verbose build

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> a4f5940
- install plugins dir

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 68490b4
- remove tt_RU locale dir, gtk3 bcond

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> da7065c
- up to 0.5.1

* Mon Oct 25 2010 Elan Ruusamäe <glen@pld-linux.org> 5c104ac
- up to 0.5.0, add -devel package

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> bd9ecf2
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> f252972
- ws cleanup

* Fri Jul 30 2010 Karol Krenski <charles@pld-linux.org> c717235
- BR: gettext-devel, intltool, pkgconfig

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 0406914
- new

